## ifupdown2 1.0~git20170314

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ifupdown2.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ifupdown2.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ifupdown2"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ifupdown2"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## ifupdown2 1.0~git20151029

=== debian/control ===
Source: ifupdown2
Section: admin
Priority: optional
Maintainer: Roopa Prabhu <roopa@cumulusnetworks.com>
Standards-Version: 3.9.6
Build-Depends: python-setuptools, dh-python, python-all (>= 2.6.6-3), debhelper (>= 9~), python-docutils, dh-systemd
Homepage: https://github.com/CumulusNetworks/ifupdown2
X-Python-Version: >= 2.6

Package: ifupdown2
Architecture: all
Suggests: python-gvgen, python-mako 
Replaces: ifupdown
Conflicts: ifupdown
Provides: ifupdown
Depends: ${python:Depends}, ${misc:Depends}, python-argcomplete, python-ipaddr
Description: Network Interface Management tool similar to ifupdown
 ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
 the same user interface as ifupdown for network interface configuration.
 Like ifupdown, ifupdown2 is a high level tool to configure (or, respectively
 deconfigure) network interfaces based on interface definitions in
 /etc/network/interfaces. It is capable of detecting network interface
 dependencies and comes with several new features which are available as
 new command options to ifup/ifdown/ifquery commands. It also comes with a new
 command ifreload to reload interface configuration with minimum
 disruption. Most commands are also capable of input and output in JSON format.
 It is backward compatible with ifupdown /etc/network/interfaces format and
 supports newer simplified format. It also supports interface templates with
 python-mako for large scale interface deployments. See
 /usr/share/doc/ifupdown2/README.rst for details about ifupdown2. Examples
 are available under /usr/share/doc/ifupdown2/examples.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ifupdown2
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/ifupdown2 --install-scripts=/usr/share/ifupdown2

%:
	dh $@ --with python2 --buildsystem=pybuild

override_dh_installman:
	./scripts/genmanpages.sh ./man.rst ./man
	dh_installman

override_dh_installinit:
	dh_systemd_enable --name=networking
	dh_installinit --name=networking --no-start

## ifupdown2 1.0~git20160525

=== debian/changelog ===
ifupdown2 (1.0~git20160525-1) unstable; urgency=medium

  * Fix incorrect install location of networking default file

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 25 May 2016 01:04:31 +0200

ifupdown2 (1.0~git20160316-1) unstable; urgency=medium

  * Fixing Debian Bug report - #813046 ifupdown2: No network connection on boot
  * ifupdownaddons: fix parsing of vlan attributes
  * networkinterfaces: fix is_keyword to not match attribute names with keywords
  * debian: control: add julien as maintainer
  * debian: copyright: upstream-contact: remove Sam, add Julien
  * Detect and ignore the `ether` keyword in /etc/network/interface

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 15 Mar 2016 06:12:40 -0700

ifupdown2 (1.0~git20151029-1) unstable; urgency=medium

  * bridgeutils: build cache only if bridge-utils is installed
  * addon modules: handle unsupported modules
  * ifupdown: change location of lockfile to /tmp/
  * templates: Disable template execution by default

 -- Roopa Prabhu <roopa@cumulusnetworks.com>  Mon, 26 Oct 2015 06:12:40 -0700

ifupdown2 (1.0~git20150917-2) unstable; urgency=medium

  * move /etc/network/interfaces.d creation from postinst script to debian/dirs (Closes: #801915)

 -- Roopa Prabhu <roopa@cumulusnetworks.com>  Fri, 18 Sep 2015 14:04:45 -0700

ifupdown2 (1.0~git20150917-1) unstable; urgency=low

  * Initial release.

 -- Roopa Prabhu <roopa@cumulusnetworks.com>  Thu, 20 Aug 2015 06:14:24 -0700

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: ifupdown2
 Section: admin
 Priority: optional
-Maintainer: Roopa Prabhu <roopa@cumulusnetworks.com>
-Standards-Version: 3.9.6
+Maintainer: Julien Fortin <julien@cumulusnetworks.com>
+Standards-Version: 3.9.8
 Build-Depends: python-setuptools, dh-python, python-all (>= 2.6.6-3), debhelper (>= 9~), python-docutils, dh-systemd
 Homepage: https://github.com/CumulusNetworks/ifupdown2
 X-Python-Version: >= 2.6

## ifupdown2 1.0~git20170114

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,11 @@
 
 Package: ifupdown2
 Architecture: all
-Suggests: python-gvgen, python-mako 
+Suggests: python-gvgen, python-mako
 Replaces: ifupdown
-Conflicts: ifupdown
 Provides: ifupdown
-Depends: ${python:Depends}, ${misc:Depends}, python-argcomplete, python-ipaddr
+Depends: ${python:Depends}, ${misc:Depends}, python-argcomplete, python-ipaddr, iproute2
+Recommends: isc-dhcp-client | dhcp-client
 Description: Network Interface Management tool similar to ifupdown
  ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
  the same user interface as ifupdown for network interface configuration.

## ifupdown2 1.0~git20170314

=== debian/changelog ===
ifupdown2 (1.0~git20170314-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 29 Mar 2017 07:26:28 +0200

ifupdown2 (1.0~git20170314-1) unstable; urgency=medium

  * debian: install files: fix LC_ALL=C.UTF-8 following comments on #857258

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 14 Mar 2017 23:06:14 +0100

ifupdown2 (1.0~git20170308-1) unstable; urgency=medium

  * debian: add LC_ALL=C.UTF-8 directive in prestinst, postinst, postrm files

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 08 Mar 2017 18:39:02 +0100

ifupdown2 (1.0~git20170307-1) unstable; urgency=medium

  * preinst: remove english word from grep filter (closes: #856970)

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 07 Mar 2017 11:24:37 +0100

ifupdown2 (1.0~git20170223-1) unstable; urgency=medium

  * drop the dependency to pkg_resources, hardcode version number (closes: #855401)
  * adjust allow-hotplug behavior to ifupdown (closes: #855598)

 -- Julien Fortin <julien@cumulusnetworks.com>  Thu, 23 Feb 2017 11:24:37 +0100

ifupdown2 (1.0~git20170214-1) unstable; urgency=medium

  * closes: #854325 debian: control: add back "Conflicts: ifupdown"
  * New. Enabled: support for GRE/SIT tunnels

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 14 Feb 2017 21:47:26 +0100

ifupdown2 (1.0~git20170114-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Julien Fortin <julien@cumulusnetworks.com>  Sat, 28 Jan 2017 09:52:33 +0100

ifupdown2 (1.0~git20170114-1) unstable; urgency=medium

  * closes: #843848 diversion handling broken

 -- Julien Fortin <julien@cumulusnetworks.com>  Sat, 14 Jan 2017 03:59:54 +0100

ifupdown2 (1.0~git20161221-1) unstable; urgency=medium

  * closes: #810844 Unlisted dependencies
  * closes: #843848 diversion handling broken
  * Fixes: github #14. add environment variables passed to user scripts
  * Fixes: handling EXISTS errors on address add
  * Fixes: handling mtu on addressvirtual macvlan devices
  * Fixes: mako namespace handling
  * New. Enabled: addons may provide a list of ifupdown scripts to ignore

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 21 Dec 2016 12:36:33 +0100

ifupdown2 (1.0~git20161110-1) unstable; urgency=medium

  * adding diversion on conflicting ifupdown files
  * debian: add checks before diversion and cleanups. closes: #813046
  * ifupdown2.conf: setting addon_syntax_check to 0 by default. closes: #843565

 -- Julien Fortin <julien@cumulusnetworks.com>  Mon, 14 Nov 2016 14:22:10 +0100

ifupdown2 (1.0~git20161101-1) unstable; urgency=medium

  * Performance improvements (better netlink support)
  * New. Deprecated: `mstpctl-stp` attribute
  * New. Deprecated: lacp parameters: bond-ad-sys-priority, bond-ad-sys-mac-addr
  * New. Enabled: addon module for B.A.T.M.A.N. protocol configuration
  * New. Enabled: addon module for configuring VRF
    (Virtual routing and forwarding)
  * New. Enabled: bridge: display warning when (in vlan unware bridge) an
    untagged bridge is not configured
  * New. Enabled: adjusting MTU for vlan devices depending on lower device mtu
  * New. Enabled: introduce checks for reserved vrf table names
  * New. Enabled: ifquery: new option '--with-defaults' to include default
    attributes
  * New. Enabled: bridge: disabling ipv6 on bridge if any VXLAN port
  * New. Enabled: vrf awareness in dhcp addon module
  * New. Enabled: sbin: start-networking: support hotplug class from init script
  * New. Enabled: support for classical numerical bond modes
  * New. Enabled: extend ifquery support for mstpctl addons
  * New. Enabled: each addon may perform semantic and syntax checks by
    implementing a custom method
  * New. Enabled: addons may provide a list of ifupdown scripts to ignore
  * New. Enabled: config: changing default value of addon_scripts_support to 1
  * fixes #14: add environment variables passed to user scripts

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 07 Sep 2016 00:57:50 +0200

## ifupdown2 1.2.5

=== debian/changelog ===
ifupdown2 (1.2.5-1) unstable; urgency=medium

  * Fix: ifupdown2 scripts: log warning on EACCES exception (Fixes #89)
  * Fix: debian: install sysvinit script (closes: #918775)
  * Fix: debian: postinst: remove diversion after upgrade from stretch
         (closes: #919443)

 -- Julien Fortin <julien@cumulusnetworks.com>  Mon, 21 Jan 2019 23:42:42 +8000

ifupdown2 (1.2.4-1) unstable; urgency=medium

  * Fix: statemanager directory path customization via ifupdown2.conf
         (closes: #918832)

 -- Julien Fortin <julien@cumulusnetworks.com>  Fri, 11 Jan 2019 23:42:42 +0000

ifupdown2 (1.2.3-1) unstable; urgency=medium

  * Fix: log: use stderr if syslog initialization fails (closes: #917534)

 -- Julien Fortin <julien@cumulusnetworks.com>  Sun, 30 Dec 2018 23:42:42 +0700

ifupdown2 (1.2.2-1) unstable; urgency=medium

  * New: add support for B.A.T.M.A.N. adv. attributes
  * New: support for new iproute2 format (bridge vlan show)
  * New: add new checks for existing device with vxlan attributes
  * Fix: pypi install: local addons modules should be loaded first
  * Fix: link-down yes on vrf slaves
  * Fix: nlmanager: use strerror to format kernel error
  * Fix: ethtool: FEC: translate None and NotSupported values to link-fec off
  * Fix: man: remove non-implemented -m option (closes: #905572)

 -- Julien Fortin <julien@cumulusnetworks.com>  Thu, 20 Dec 2018 23:42:42 +0000

ifupdown2 (1.2.1) UNRELEASED; urgency=medium

  * Fix #54: address module new l3_intf_default_gateway_set_onlink policy
  * Fix: Link down does not work on any intf configured in a VRF
  * Add: ethtool: add link-speed 10 to valid values array
  * Add: address: add l3_intf_arp_accept policy to control ARP_ACCEPT
  * Add: warning when bridge attribute are used on non br[port] intf
  * Add: point-to-point protocol (ppp) addon to create/configure ppp interfaces
  * Add: tunnel support (gretap, ipip, sit, vti, ip6gre, ipip6, ip6ip6, vti6)
  * Add: 0/1/on/off/yes/no support to ip[6]-forward attribute
  * Add: address module_globals policy l3_intf_arp_accept to control ARP_ACCEPT
  * addressvirtual module_globals "addressvirtual_with_route_metric" policy
  * Closes: ethtool: link-fec: local variable 'fec_attrs'
            referencede before assignment
  * Fix: ifquery -r incorrect for address-virtual and vrf configuration under
         an interface

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 24 Oct 2018 23:42:42 +0200

ifupdown2 (1.2.0) UNRELEASED; urgency=medium

  * Package architecture refactoring and cleanups
  * Package can be build/install as debian, pip or rpm package
  * Makefile to easily perform tasks (i.e.: install, build, test, upload..)
  * VRF slaves: add support for link-down yes
  * addressvirtual: macvlan: add default metric to ip4 and ip6
  * Closes #48: Run up/down on "manual" interfaces, but ignore any errors.
  * Closes #58: address addon "vlan_aware_bridge_address_support" policy
  * Traditional bridge support for mstpctl attr: (portautoedge, portrestrrole)
  * Configuration for IPv6 link-local auto-generate mode, new attributes:
        ipv6-addrgen (address addon)
        address-virtual-ipv6-addrgen (addressvirtual addon)

 -- Julien Fortin <julien@cumulusnetworks.com>  Mon, 25 Jun 2018 23:42:42 +0200

ifupdown2 (1.1.18) UNRELEASED; urgency=medium

  * Fix: Link down does not work on SVI configured in a VRF
  * Fix: ifreload causes MTU to drop on bridge SVIs
  * Fix: addons: addressvirtual: check if SVI name is first in routing table
  * Fix: ifreload error on deleting bond slaves from an already configured bond
  * Fix: ifupdown2 error is confusing when netmask is specified for vxlan-local-tunnelip
  * Fix: ifupdown2 syntax check needed for vxlan interfaces
  * Fix: vxlan-ageing default timer doesn't align with bridge-ageing
  * Fix: Error with "ifreload -a -n" when MGMT VRF is not Applied
  * Fix: using reserved VLAN range reports error but ifreload returns 0
  * Fix: unable to set bridge-portmcrouter to "2"
  * Fix: vxlan syntax-check warn on missing vxlan-local-tunnelip
  * Fix: traditional bridge svi breaks when extra bridge added
  * Fix: github #39: addons: vrf: fix vrf slave link kind
  * New. Enabled: addons: vxlan: add support for vxlan-port attribute

 -- Julien Fortin <julien@cumulusnetworks.com>  Thu, 12 Apr 2018 11:10:04 +0200

ifupdown2 (1.1.17) UNRELEASED; urgency=medium

  * Fix: ip[6]-forward attributes not set at boot

 -- Julien Fortin <julien@cumulusnetworks.com>  Thu, 08 Feb 2018 09:48:37 +0100

ifupdown2 (1.1.16) UNRELEASED; urgency=medium

  * Fix: python exception on macvlans address dump
  * Fix: eth0 doesn't acquire DHCP address when mgmt VRF is enabled

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 09 Jan 2018 02:02:58 +0100

ifupdown2 (1.1.15) UNRELEASED; urgency=medium

  * New. Enabled: bridge: add support for bridge-l2protocol-tunnel
  * New. Enabled: bridge attributes, when removed reset to default
  * New. Enabled: vxlan attributes, when removed reset to default
  * New. Enabled: improve handling of optional resources (if missing bridge-utils/ethtool)
  * Fix: policy "iface_defaults" not supported for MTU
  * Fix: address module: handling of ipv4 & ipv6 (add/remove)
  * Fix: warning for vlan reserved range
  * Fix: MTU handling on bridge SVIs

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 22 Nov 2017 19:07:43 +0100

ifupdown2 (1.1.14) UNRELEASED; urgency=medium

  * New. Enabled: default policy for bridge MAC address
  * Fix: ethtool: don't set link speed and duplex if autoneg is on

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 25 Oct 2017 23:12:27 +0200

ifupdown2 (1.1.13) UNRELEASED; urgency=medium

  * Fix: VRF: ssh session not killed on ifreload

 -- Julien Fortin <julien@cumulusnetworks.com>  Fri, 15 Sep 2017 22:43:12 +0200

ifupdown2 (1.1.12) UNRELEASED; urgency=medium

  * New. Enabled: mpls-enable attribute
  * New. Enabled: bond and bridge module moved to netlink configuration


=== debian/control ===
--- 
+++ 
@@ -2,18 +2,21 @@
 Section: admin
 Priority: optional
 Maintainer: Julien Fortin <julien@cumulusnetworks.com>
-Standards-Version: 3.9.8
-Build-Depends: python-setuptools, dh-python, python-all (>= 2.6.6-3), debhelper (>= 9~), python-docutils, dh-systemd
-Homepage: https://github.com/CumulusNetworks/ifupdown2
-X-Python-Version: >= 2.6
+Build-Depends: debhelper (>= 9.20160709),
+               dh-python,
+               python-all,
+               python-setuptools,
+               python-docutils
+Standards-Version: 4.2.1
+Homepage: https://github.com/cumulusnetworks/ifupdown2
 
 Package: ifupdown2
 Architecture: all
-Suggests: python-gvgen, python-mako
+Provides: ifupdown
+Conflicts: ifupdown
 Replaces: ifupdown
-Provides: ifupdown
-Depends: ${python:Depends}, ${misc:Depends}, python-argcomplete, python-ipaddr, iproute2
-Recommends: isc-dhcp-client | dhcp-client
+Depends: ${python:Depends}, ${misc:Depends}, iproute2, python-argcomplete, python-ipaddr
+Suggests: isc-dhcp-client, bridge-utils, ethtool, python-gvgen, python-mako, python-pkg-resources
 Description: Network Interface Management tool similar to ifupdown
  ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
  the same user interface as ifupdown for network interface configuration.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ifupdown2
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/ --install-scripts=/usr/share/

%:
	dh $@ --with python2 --with systemd --buildsystem=pybuild

override_dh_installman:
	./ifupdown2/man/genmanpages.sh ./ifupdown2/man ./man
	dh_installman

override_dh_systemd_start:
	dh_systemd_start --name=networking --no-start

override_dh_systemd_enable:
	dh_systemd_enable --name=networking

override_dh_installinit:
	dh_installinit --name=networking --no-start

override_dh_compress:
	dh_compress -X.py

## ifupdown2 1.2.7

=== debian/changelog ===
ifupdown2 (1.2.7-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:34:10 +0000

ifupdown2 (1.2.7-1) unstable; urgency=medium

  * New: Add bridge-ports-condone-regex option (closes #117)

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 09 Jul 2019 23:42:42 +0200

ifupdown2 (1.2.6-1) unstable; urgency=medium

  * Fix: AttributeError exception in bridge module (fixes #90)
  * Fix: ifupdownaddons: LinkUtils fix cmd concatenation (closes: #930839)
  * New. policymanager: merge module policy instead of overriding duplicates
  * New: set default mtu on user defined device (via link-type)
  * New: add support for vxlan-ttl attribute
  * New: add support for vrrp attribute
  * New: introduce new bridge policy:
        "vxlan_bridge_igmp_snooping_enable_port_mcrouter"
  * New: link-down yes will also down macvlans
  * New: XFRM addon module
  * New: Add policy to wait for IPv6 link local address to be available

 -- Julien Fortin <julien@cumulusnetworks.com>  Sun, 23 Jun 2019 23:42:42 -1000

## ifupdown2 3.0.0

=== Makefile ===
.PHONY: clean clean-test clean-pyc clean-build docs help
.DEFAULT_GOAL := help

define BROWSER_PYSCRIPT
import os, webbrowser, sys

try:
	from urllib import pathname2url
except:
	from urllib.request import pathname2url

webbrowser.open("file://" + pathname2url(os.path.abspath(sys.argv[1])))
endef
export BROWSER_PYSCRIPT

define PRINT_HELP_PYSCRIPT
import re, sys

for line in sys.stdin:
	match = re.match(r'^([a-zA-Z_-]+):.*?## (.*)$$', line)
	if match:
		target, help = match.groups()
		print("%-20s %s" % (target, help))
endef
export PRINT_HELP_PYSCRIPT

BROWSER := python -c "$$BROWSER_PYSCRIPT"

help:
	@python -c "$$PRINT_HELP_PYSCRIPT" < $(MAKEFILE_LIST)

clean: clean-build clean-pyc clean-test ## remove all build, test, coverage and Python artifacts

clean-build: ## remove build artifacts
	rm -fr build/
	rm -fr dist/
	rm -fr .eggs/
	find . -name '*.egg-info' -exec rm -fr {} +
	find . -name '*.egg' -exec rm -f {} +

clean-pyc: ## remove Python file artifacts
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +
	find . -name '*~' -exec rm -f {} +
	find . -name '__pycache__' -exec rm -fr {} +

clean-test: ## remove test and coverage artifacts
	rm -fr .tox/
	rm -f .coverage
	rm -fr htmlcov/
	rm -fr .pytest_cache

lint: ## check style with flake8
	flake8 ifupdown2 tests

test: ## run tests quickly with the default Python
	py.test

test-all: ## run tests on every Python version with tox
	tox

coverage: ## check code coverage quickly with the default Python
	coverage run --source ifupdown2 -m pytest
	coverage report -m
	coverage html
	$(BROWSER) htmlcov/index.html

docs: ## generate Sphinx HTML documentation, including API docs
	rm -f docs/ifupdown2.rst
	rm -f docs/modules.rst
	sphinx-apidoc -o docs/ ifupdown2
	$(MAKE) -C docs clean
	$(MAKE) -C docs html
	$(BROWSER) docs/_build/html/index.html

servedocs: docs ## compile the docs watching for changes
	watchmedo shell-command -p '*.rst' -c '$(MAKE) -C docs html' -R -D .

testpy: ## package and upload to testpy
	python setup.py sdist bdist_wheel
	twine upload --repository-url https://test.pypi.org/legacy/ dist/*
	@echo "Install ifupdown2 from testpy 'pip install --index-url https://test.pypi.org/simple/ ifupdown2'"

release: dist ## package and upload a release
	twine upload dist/*

dist: clean ## builds source and wheel package
	python setup.py sdist
	python setup.py bdist_wheel
	ls -l dist

install: clean ## install the package to the active Python's site-packages
	python setup.py install

deb: clean ## create a debian package (.deb)
	debuild -b -rfakeroot -us -uc

=== debian/changelog ===
ifupdown2 (3.0.0-1) unstable; urgency=medium

   * New: python3 support
   * New: attribute alias support
   * New: bridge-always-up attribute
   * New: set bridge mtu with policy default
   * New: ES bond with "es-sys-mac" attribute
   * New: vxlan attribute: vxlan-mcastgrp-map
   * New: support for "veth-peer-name" attribute
   * New: dhcp policy: dhclient_retry_on_failure
   * New: support for marking interfaces as mgmt interfaces
   * New: bridge-vlan-vni-map attribute (single vxlan device)
   * New: dhcp: skipping dhcp configuration if link-down yes
   * New: vrf-slave: keep vlan down if lower device has "link-down yes"
   * New: vxlan: support for vxlan-svcnodeip6 and vxlan-mcastgrp6 (fixes #43)
   * New: support for add ovs-ports-condone-regex attribute (openvswitch)
   * Fix: dry-run exceptions
   * Fix: bond enslavement ordering
   * Fix: process MTU before addrgen
   * Fix: set bridge MTU after bridge creation
   * Fix: ifquery-running: incorrect displayed data
   * Fix: tunnel configuration compatibility with ifupdown1
   * Fix: start-networking script is back to handle mgmt & hotplug cases
   * Fix: devices matching with ".{0,13}\-v" could get removed by ifreload
   * Fix: mstpctl: check mstpctl-stp and bridge-stp and fix bridge cache update
   * Removing python-argcomplete dependency

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 04 Aug 2020 23:42:42 +0200

ifupdown2 (2.0.2-1) unstable; urgency=medium

  * New: addons: ethtool: add support for "ethtool_ignore_errors" policy
  * New: addons: dhcp: if mgmt vrf context exec dhclient in default vrf
  * Fix: nlpacket: don't raise an exception on 24 bytes mac address (#140)
  * Fix: IFLA_INFO_KIND: decode tunnel data
  * Fix: XFRM for 2.x release
  * Fix: addons.conf: remove duplicate entry for tunnel pre-up

 -- Julien Fortin <julien@cumulusnetworks.com>  Wed, 04 Mar 2020 23:42:42 +0100

ifupdown2 (2.0.1-1) unstable; urgency=medium

  * New argv option: --nldebug to print netlink debug message
  * New: ethtool: nics (GRO, LRO GSO, TSO, UFO, TX and RX) offload attributes

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 31 Dec 2019 15:21:06 +0100

ifupdown2 (2.0.0-1) unstable; urgency=medium

  * Introduction of the live netlink cache
  * Refactoring and PEP8 fixes
  * Install systemd ifupdown2.netowrking.service and ifup.service
  * Addons: bond: bond-primary attributes (closes: #9)
  * Addons: address-virtual: vrrp support
  * Addons: address: add arp-accept option
  * Addons: tunnel: adding "tunnel-" prefix to every attributes
  * Loopback interface won't go down (unless link-down yes)
  * Macvlans (address-virtual) can now be configured without ips
  * Add support for vxlan multicast group (vxlan-mcastgrp)
  * New sets of poliicies:
       - bridge polcy for vxlan port: bridge-vxlan-arp-nd-suppres (ON/off)
       - bridge policy for vxlan port: bridge_vxlan_port_learning (ON/off)
       - bridge policy for vxlan port:
               vxlan_bridge_igmp_snooping_enable_port_mcrouter (1/0)

 -- Julien Fortin <julien@cumulusnetworks.com>  Tue, 01 Oct 2019 23:42:42 +0200

ifupdown2 (1.2.8-1) unstable; urgency=medium

  * New: Add policy dhcp6-duid to specify DUID type to be used for IPv6 interfaces

 -- Julien Fortin <julien@cumulusnetworks.com>  Thu, 11 Jul 2019 23:42:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,19 +4,21 @@
 Maintainer: Julien Fortin <julien@cumulusnetworks.com>
 Build-Depends: debhelper (>= 9.20160709),
                dh-python,
-               python-all,
-               python-setuptools,
-               python-docutils
-Standards-Version: 4.2.1
+               python3,
+               python3-all,
+               python3-setuptools,
+               python3-docutils
+Standards-Version: 4.5.0.2
 Homepage: https://github.com/cumulusnetworks/ifupdown2
+X-Python-Version: >= 3.7
 
 Package: ifupdown2
 Architecture: all
 Provides: ifupdown
 Conflicts: ifupdown
 Replaces: ifupdown
-Depends: ${python:Depends}, ${misc:Depends}, iproute2, python-argcomplete, python-ipaddr
-Suggests: isc-dhcp-client, bridge-utils, ethtool, python-gvgen, python-mako, python-pkg-resources
+Depends: ${python3:Depends}, ${misc:Depends}, iproute2
+Suggests: isc-dhcp-client, bridge-utils, ethtool, python3-gvgen, python3-mako
 Description: Network Interface Management tool similar to ifupdown
  ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
  the same user interface as ifupdown for network interface configuration.

## ifupdown2 3.2.0

=== debian/changelog ===
ifupdown2 (3.2.0-1+pmx11) bookworm; urgency=medium

  * slaac: avoid setting sysctl's for bridge twice

 -- Proxmox Support Team <support@proxmox.com>  Fri, 15 Nov 2024 16:21:41 +0100

ifupdown2 (3.2.0-1+pmx10) bookworm; urgency=medium

  * fix #5869: d/postinst: do not fail if ifreload fails on first install

  * d/postinst: use absence of old version variable to detect new
    installations instead of a flag file.

 -- Proxmox Support Team <support@proxmox.com>  Thu, 14 Nov 2024 18:36:31 +0100

ifupdown2 (3.2.0-1+pmx9) bookworm; urgency=medium

  * fix #5197: do not run scripts ending with .dpkg-{old, new, tmp, dist}
    mainly to avoid potential issues when upgrading from ifupdown to ifupdown2

  * cherry-pick fix for VNI filter on single VXLAN device

 -- Proxmox Support Team <support@proxmox.com>  Fri, 05 Jul 2024 09:20:58 +0200

ifupdown2 (3.2.0-1+pmx8) bookworm; urgency=medium

  * fix #5009: avoid waiting for stdout eof of /etc/network/ scripts, just
    like legacy ifupdown does

 -- Proxmox Support Team <support@proxmox.com>  Wed, 20 Dec 2023 14:15:34 +0100

ifupdown2 (3.2.0-1+pmx7) bookworm; urgency=medium

  * fix applying some bond mode settings for non-802.3ad variants on ifup
    (ifreload worked).

  * fix VXLAN addon trying to remove FDB entries on reload with EVPN

 -- Proxmox Support Team <support@proxmox.com>  Mon, 20 Nov 2023 14:31:11 +0100

ifupdown2 (3.2.0-1+pmx6) bookworm; urgency=medium

  * revert patch that tried to fix MAC-addresses for bond interfaces, some
    network switches and adapters cannot cope with the way it was done, rather
    set up a systemd policy.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 15 Nov 2023 08:51:14 +0100

ifupdown2 (3.2.0-1+pmx5) bookworm; urgency=medium

  * fix new systemd behavior of assinging random MAC to bond by actively
    assining the one from the first slave-interface again

 -- Proxmox Support Team <support@proxmox.com>  Fri, 15 Sep 2023 16:20:25 +0200

ifupdown2 (3.2.0-1+pmx4) bookworm; urgency=medium

  * ipv6/slaac: fix accept_ra/autoconf sysctl not being applied on bridge
    interfaces

 -- Proxmox Support Team <support@proxmox.com>  Thu, 10 Aug 2023 09:04:25 +0200

ifupdown2 (3.2.0-1+pmx3) bookworm; urgency=medium

  * depend on ethtool by default

  * backport support for rx-vlan-filter in the ethtool plugin

  * backport missing import for the 'traceback' python module in the scheduler

 -- Proxmox Support Team <support@proxmox.com>  Mon, 26 Jun 2023 20:40:22 +0200

ifupdown2 (3.2.0-1+pmx2) bookworm; urgency=medium

  * ship default policy to enable setting the MAC of a bridge to its first
    port in a stable way again, was dropped by mistake for bookworm re-build.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 21 Jun 2023 08:21:02 +0200

ifupdown2 (3.2.0-1+pmx1) bookworm; urgency=medium

  * update to 3.2.0 upstream release

  * build for Debian 12 Bookworm based releases

  * remove old upstreamed patches

  * add ipv6 slaac support (inet6 auto / accept_ra)

  * remove lacp bond min-links=0 warning

 -- Proxmox Support Team <support@proxmox.com>  Sat, 20 May 2023 11:05:14 +0200

ifupdown2 (3.2.0) unstable; urgency=medium

  * Fix: Sonarqube issues
  * Fix: ifquery hangs indefinitely on ^C
  * Fix: Skipping admin down on deleted vlans
  * Fix: Merge existing MTU into new netlink object
  * Fix: scheduler: env variable not properly set for user commands (fixes #218)
  * Fix: ifquery-check: vlan-protocol for dotted interfaces
  * Fix: Down ops on vrf-slave should set the slave admin down
  * New: Allow bond creation without slaves
  * New: Add `--set-ring` option to ethtool
  * New: Openvswitch : add support for fakebridge
  * New: add support for systemd logging (--systemd)
  * New: Process hwaddress before processing ip addresses
  * New: Set protodown off on bond slave before bond is deleted
  * New: Make sure bond speed and slaves (swps) speed are matching

 -- Julien Fortin <jfortin@nvidia.com>  Thu, 04 May 2023 23:42:00 -0700

ifupdown2 (3.1.0-1+pmx4) bullseye; urgency=medium

  * add ovs support for fakebridge

  * vlan: fix vlan-protocol query check

  * Avoid updating VLAN attributes (vlan-protocol, vlan-id) on reload, if it's
    not a full ifdown + ifup cycle.

 -- Proxmox Support Team <support@proxmox.com>  Tue, 16 May 2023 12:01:14 +0200

ifupdown2 (3.1.0-1+pmx3) bullseye; urgency=medium

  * fix a point-to-point regression introduced in 3.1

 -- Proxmox Support Team <support@proxmox.com>  Mon, 26 Jul 2021 12:29:08 +0200

ifupdown2 (3.1.0-1+pmx2) bullseye; urgency=medium

  * avoid re-generating and reloading network configuration in the installer

 -- Proxmox Support Team <support@proxmox.com>  Thu, 15 Jul 2021 10:35:31 +0200

ifupdown2 (3.1.0-1+pmx1) bullseye; urgency=medium

  * update to 3.1.0 upstream release

  * ship default policy to enable setting the MAC of a bridge to its first
    port in a stable way.

 -- Proxmox Support Team <support@proxmox.com>  Wed, 14 Jul 2021 16:58:03 +0200

ifupdown2 (3.1.0-1) unstable; urgency=medium

   * New: ifquery-check now validates admin state
   * New: bond: bond mac should always be inherited from it's first slave

   * New: macvlan/addressvirtual features:
     - check interface name lenght and warn if len > 15
     - sync macvlan forwarding state with lower-device

   * New: vxlan features:
     - Single vxlan device support (bridge-vlan-vni-map)
     - New attributes:
       - vxlan-mcastgrp-map (vxlan multicast group for single-vxlan device)
       - vxlan-vnifilter (vxlan vni filter for single-vxlan device)
       - vxlan-remoteip-map (static HREP entries for static single vxlan dev)
       - vxlan-tos (ToS value)
       - vxlan-udp-csum (whether to perform checksumming or not)
     - New policy:
       - vxlan-support-mix-dev-types: allow mix of traditional and single
    vxlan device (default to yes)

   * New: bridge features:
     - add multi bridge support for bridge_set_static_mac_from_port=yes


=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: ifupdown2
 Section: admin
 Priority: optional
-Maintainer: Julien Fortin <julien@cumulusnetworks.com>
-Build-Depends: debhelper (>= 9.20160709),
+Maintainer: Proxmox Support Team <support@proxmox.com>
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3,
                python3-all,
                python3-setuptools,
                python3-docutils
-Standards-Version: 4.5.0.2
+Standards-Version: 4.6.2
 Homepage: https://github.com/cumulusnetworks/ifupdown2
 X-Python-Version: >= 3.7
 
@@ -17,8 +17,8 @@
 Provides: ifupdown
 Conflicts: ifupdown
 Replaces: ifupdown
-Depends: ${python3:Depends}, ${misc:Depends}, iproute2
-Suggests: isc-dhcp-client, bridge-utils, ethtool, python3-gvgen, python3-mako
+Depends: ${python3:Depends}, ${misc:Depends}, iproute2, python3-six, python3-setuptools, python3-systemd, ethtool
+Suggests: isc-dhcp-client, bridge-utils, python3-gvgen, python3-mako
 Description: Network Interface Management tool similar to ifupdown
  ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
  the same user interface as ifupdown for network interface configuration.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export PYBUILD_NAME=ifupdown2
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/ --install-scripts=/usr/share/

%:
	dh $@ --with=python3 --buildsystem=pybuild

override_dh_installman:
	./ifupdown2/man/genmanpages.sh ./ifupdown2/man ./man
	dh_installman

override_dh_install:
	dh_install
	mkdir -p debian/ifupdown2/lib/systemd/system/
	install --mode=644 debian/ifup@.service debian/ifupdown2/lib/systemd/system/
	install --mode=644 debian/ifupdown2-pre.service debian/ifupdown2/lib/systemd/system/


override_dh_installsystemd:
	dh_installsystemd --name=networking --no-start --no-stop-on-upgrade

override_dh_compress:
	dh_compress -X.py

## ifupdown2 3.2.0-cl4.3.1u3

=== debian/changelog ===
ifupdown2 (3.2.0-cl4.3.1u3) RELEASED; urgency=medium

  [ dev-support ]
  * Fix. #2663119: remove stale fdb entry for svi (when hwaddress is used)
  * Fix. #2668543: override cache after mac address change is acked

  [ root ]
  * new build for 4.3.1 from original hash
    f897a765e9226cd89fdcdc95050074d75b2e5994

 -- root <root@7490f848894d>  Mon, 19 Sep 2022 05:40:28 +0000

ifupdown2 (3.1.0-cl4.3.0u1) RELEASED; urgency=medium

  * Fix: CM-32683: warn user when vlan-id change is detected
  * Fix: CM-24872: warn user on VXLAN mis-config VNI "bridge-learning=on"
  * Fix: CM-31959: add multi bridge support for bridge_set_static_mac_from_port=yes
  * Fix: CM-30159: bond mac should always be inherited from it's first slave
  * Fix: CM-31945: dhcp: don't release dhcp lease after timeout
  * Fix: CM-29650: address: enable ipv6 before adding new ipaddress
  * Fix: CM-31413: bridge-vlan-vni-map: support multiple vni mapping per entry
  * Fix: CM-30402: mtu: policy: accept integer value for mtu in policy file
  * Fix: CM-29621: template: update error message for python3-mako
  * New. Enabled: new policy:
		- bond_mac_mgmt (defaults to "yes"): context: CM-30159, if enabled
		bonds will inherit their mac address from their first slave.

 -- dev-support <dev-support@cumulusnetworks.com>  Sat, 12 Dec 2020 07:05:42 +0000

ifupdown2 (3.0.1-cl4.2.1u1) RELEASED; urgency=medium

  * Fix: CM-31016: don't update bridge mac if already inherited from a port
  * Fix: CM-30580: Skip dhcp configuration if link-down yes
  * New. Enabled: New vxlan attributes:
   			vxlan-mcastgrp-map
   			vxlan-svcnodeip6
   			vxlan-mcastgrp6

 -- dev-support <dev-support@cumulusnetworks.com>  Fri, 04 Sep 2020 23:42:42 +0200

ifupdown2 (3.0.0-cl4u3) RELEASED; urgency=medium

  * New. Enabled: python3 support
  * New. Enabled: bridge-always-up attribute
  * New. Enabled: ES bond with "es-sys-mac" attribute
  * New. Enabled: dhcp policy: dhclient_retry_on_failure
  * New. Enabled: dhcp configuration will be log to syslog
  * New. Enabled: bridge-vlan-vni-map attribute (single vxlan device)
  * Fix: tunnel configuration compatibility with ifupdown1 (closes: #133)
  * Fix: re-adding lockfile to avoid concurrent instances of ifupdown2
  * Fix: ifquery: add VXLAN check before processing bpdu-mstpctl attributes
  * Closes: CM-29471: non-macvlans devices could be deleted by ifupdown2
  * Closes: CM-28465: vrf-slave: keep vlan down if lower dev has link-down yes

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 02 Jun 2020 23:42:42 +0200

ifupdown2 (2.0.1-cl4u2) RELEASED; urgency=medium

  * Fix: process mtu before addrgen attribute
  * Closes: CM-28038. addons: bridge: set bridge mtu after bridge creation
  * New. Enabled: dhcp: new --nldebug cli option to enable nlmanager debug logs
  * New. Enabled: dhcp: if mgmt vrf context exec dhclient in default vrf
  * New. Enabled: addons: address: add arp-accept option
  * New. Enabled: dhcp: policy to specify DUID type to use on dhcpv6 requests:
		- "dhcp6-duid"
  * New. Enabled: dhcp: policy to wait for IPv6 link local addr availability:
		- "dhcp6-ll-wait"

 -- dev-support <dev-support@cumulusnetworks.com>  Wed, 04 Mar 2020 23:42:42 +0100

ifupdown2 (2.0.0-cl4u1) RELEASED; urgency=medium

  * New. Enabled: loopback interface won't go down (unless link-down yes)
  * New. Enabled: macvlans (address-virtual) can now be configured without ips
  * New. Enabled: add support for vxlan multicast group (vxlan-mcastgrp)
  * New. Enabled: New sets of policies:
	- bridge policy for vxlan port: bridge-vxlan-arp-nd-suppres (ON/off)
	- bridge policy for vxlan port: bridge_vxlan_port_learning (ON/off)
	- bridge policy for vxlan port:
		vxlan_bridge_igmp_snooping_enable_port_mcrouter (1/0)

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 01 Oct 2019 23:42:42 +0200

ifupdown2 (1.2.11-cl3u30) RELEASED; urgency=medium

  * Closes: CM-27644. dhcp: if mgmt vrf context exec dhclient in default vrf
  * Closes: CM-28038. addons: bridge: set bridge mtu after bridge creation

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 27 Jan 2020 23:42:42 +0100

ifupdown2 (1.2.10-cl3u29) RELEASED; urgency=medium

  * Closes: CM-21814. addons: ethtool: add new policy: "ethtool_ignore_errors"

 -- dev-support <dev-support@cumulusnetworks.com>  Mon, 25 Nov 2019 21:01:02 +0100

ifupdown2 (1.2.9-cl3u28) UNRELEASED; urgency=medium

  * Closes: CM-13316: detect intfs no longer configured but pick up by regexes

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 01 Oct 2019 23:42:42 +0200

ifupdown2 (1.2.8-cl3u27) RELEASED; urgency=medium

  * Closes: CM-15278: Retry netlink socket binding to avoid failures
  * Closes: CM-25295: ifquery syntax-check does not return non-zero on failure
  * Closes: CM-23285: Enable ipv6 on vrf slaves when moved from bport
  * Closes: CM-25646: Remove old ip address when intf is moved to dhcp
  * Closes: CM-25358: addressvirtual: keep macvlan down if link-down specified
                      on lower device

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 27 Jun 2019 23:42:42 -1000

ifupdown2 (1.2.7-cl3u26) RELEASED; urgency=medium

  * Closes: CM-25240: mismatch on address-virutual if leading zero not included
  * Closes: CM-25158: ifupdown2 accepts mac addresses with single-digit fields
  * Closes: CM-23952: policymanager: merge module policy instead of overriding duplicates
  * Closes: CM-23748: address: set default mtu on user defined device (via link-type)
  * Closes: CM-23657: bridge: set bridge mtu on device creation

 -- dev-support <dev-support@cumulusnetworks.com>  Thu, 13 Jun 2019 23:42:42 -1000

ifupdown2 (1.2.6-cl3u25) RELEASED; urgency=medium

  * Closes: CM-24275: when ifreload_down_changed=1: purge bridge
                      and upper devices cache

 -- dev-support <dev-support@cumulusnetworks.com>  Tue, 16 Apr 2019 23:42:42 -1000

ifupdown2 (1.2.5-cl3u24) RELEASED; urgency=medium

  * New. Enabled: add support for vxlan-ttl attribute


=== debian/control ===
--- 
+++ 
@@ -1,24 +1,27 @@
 Source: ifupdown2
 Section: admin
 Priority: optional
-Maintainer: Proxmox Support Team <support@proxmox.com>
-Build-Depends: debhelper-compat (= 13),
-               dh-python,
+Maintainer: dev-support <dev-support@cumulusnetworks.com>
+Build-Depends: debhelper (>=9),
+               dh-systemd,
                python3,
                python3-all,
                python3-setuptools,
                python3-docutils
-Standards-Version: 4.6.2
-Homepage: https://github.com/cumulusnetworks/ifupdown2
+Standards-Version: 3.9.8
+Homepage: https://www.cumulusnetworks.com/
 X-Python-Version: >= 3.7
+XS-Build-Source: True
+XS-Cumulus-Valid-Arch: amd64
+XBCS-Vcs-Hash: f897a765e9226cd89fdcdc95050074d75b2e5994
 
 Package: ifupdown2
 Architecture: all
 Provides: ifupdown
 Conflicts: ifupdown
 Replaces: ifupdown
-Depends: ${python3:Depends}, ${misc:Depends}, iproute2, python3-six, python3-setuptools, python3-systemd, ethtool
-Suggests: isc-dhcp-client, bridge-utils, python3-gvgen, python3-mako
+Depends: ${python3:Depends}, ${misc:Depends}, iproute2
+Suggests: isc-dhcp-client, bridge-utils, ethtool, python3-gvgen, python3-mako
 Description: Network Interface Management tool similar to ifupdown
  ifupdown2 is ifupdown re-written in Python. It replaces ifupdown and provides
  the same user interface as ifupdown for network interface configuration.
@@ -34,3 +37,5 @@
  python-mako for large scale interface deployments. See
  /usr/share/doc/ifupdown2/README.rst for details about ifupdown2. Examples
  are available under /usr/share/doc/ifupdown2/examples.
+XBCS-Vcs-Hash: f897a765e9226cd89fdcdc95050074d75b2e5994
+
